Package org.drinkless.tdlib

# Class TdApi.PhotoSize

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.PhotoSize

Enclosing class:
  `TdApi`

public static class TdApi.PhotoSize extends TdApi.Object
Describes an image in JPEG format.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `height`
  Image height.
  `TdApi.File`
  `photo`
  Information about the image file.
  `int[]`
  `progressiveSizes`
  Sizes of progressive JPEG file prefixes, which can be used to preliminarily show the image; in bytes.
  `String`
  `type`
  Image type (see https://core.telegram.org/constructor/photoSize).
  `int`
  `width`
  Image width.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PhotoSize()`
  Describes an image in JPEG format.
  `PhotoSize(String type, TdApi.File photo, int width, int height, int[] progressiveSizes)`
  Describes an image in JPEG format.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### type

    public String type
    Image type (see https://core.telegram.org/constructor/photoSize).

  - ### photo

    public TdApi.File photo
    Information about the image file.

  - ### width

    public int width
    Image width.

  - ### height

    public int height
    Image height.

  - ### progressiveSizes

    public int[] progressiveSizes
    Sizes of progressive JPEG file prefixes, which can be used to preliminarily show the image; in bytes.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PhotoSize

    public PhotoSize()
    Describes an image in JPEG format.

  - ### PhotoSize

    public PhotoSize(String type, TdApi.File photo, int width, int height, int[] progressiveSizes)
    Describes an image in JPEG format.
    Parameters:
      `type` - Image type (see https://core.telegram.org/constructor/photoSize).
      `photo` - Information about the image file.
      `width` - Image width.
      `height` - Image height.
      `progressiveSizes` - Sizes of progressive JPEG file prefixes, which can be used to preliminarily show the image; in bytes.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR